Bug 982994 - '--version and '--help' is missing from help information of oo-admin-upgrade
'--version and '--help' is missing from help information of oo-admin-upgrade
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 05:24 EDT by Jianwei Hou
Modified: 2015-05-14 20:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:23:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-07-10 05:24:03 EDT
Description of problem:
Run oo-admin-upgrade --help, the '--help' and '--version' are acceptable options but not displayed

Version-Release number of selected component (if applicable):
On devenv_3473

How reproducible:
Always

Steps to Reproduce:
1. On broker, oo-admin-upgrade --help

Actual results:
[root@ip-10-236-134-152 bin]# oo-admin-upgrade --help

Usage: /usr/sbin/oo-admin-upgrade

  --login login_name                   User login
  --upgrade-gear gear_uuid             Gear uuid of the single gear to upgrade
  --app-name app_name                  App name of the gear to upgrade
  --upgrade-node server_identity       Server identity of the node to upgrade
  --upgrade-file file                  File containing the gears to upgrade
  --num-upgraders num                  The total number of upgraders to be run.  Each upgrade-position will be a 
                                       upgrade-position of num-upgraders.  All positions must to taken to upgrade
                                       all gears.  Ex: If you are going to run 2 upgraders you would need to run:
                                       ./rhc-admin-upgrade --version <version> --position 1 --num-upgraders 2
                                       ./rhc-admin-upgrade --version <version> --position 2 --num-upgraders 2
  --upgrade-position position          Postion of this upgrader (1 based) amongst the num of upgraders (--num_upgraders)
  --max-threads num                    Indicates the number of processing queues
  --ignore-cartridge-version           Force cartridge upgrade even if cartridge versions match
  --continue                           Flag indicating to continue a previous upgrade


Expected results:
The following options should be also printed out:
--version 
--help

Additional info:
Comment 1 openshift-github-bot 2013-07-15 14:18:55 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/2b4b0ad15f689b16e09da27aef974a2ec3848e5f
Bug 982994 - Minor: add version/help options to usage info
Comment 2 Jianwei Hou 2013-07-16 07:53:13 EDT
Verified on devent-stage_406

[root@ip-10-60-39-168 ~]# oo-admin-upgrade --help

Usage: /usr/sbin/oo-admin-upgrade

  --login login_name                   User login
  --upgrade-gear gear_uuid             Gear uuid of the single gear to upgrade
  --app-name app_name                  App name of the gear to upgrade
  --upgrade-node server_identity       Server identity of the node to upgrade
  --upgrade-file file                  File containing the gears to upgrade
  --version                            Target version number
  --num-upgraders num                  The total number of upgraders to be run.  Each upgrade-position will be a 
                                       upgrade-position of num-upgraders.  All positions must to taken to upgrade
                                       all gears.  Ex: If you are going to run 2 upgraders you would need to run:
                                       ./rhc-admin-upgrade --version <version> --position 1 --num-upgraders 2
                                       ./rhc-admin-upgrade --version <version> --position 2 --num-upgraders 2
  --upgrade-position position          Postion of this upgrader (1 based) amongst the num of upgraders (--num_upgraders)
  --max-threads num                    Indicates the number of processing queues
  --ignore-cartridge-version           Force cartridge upgrade even if cartridge versions match
  --continue                           Flag indicating to continue a previous upgrade
  --help                               Show usage info

Note You need to log in before you can comment on or make changes to this bug.